package com.dcs.hnyz.service;

import java.util.List;
import com.dcs.hnyz.domain.TemplatePage;

/**
 * 模板页管理Service接口
 * 
 * @author hmy
 * @date 2025-04-30
 */
public interface ITemplatePageService 
{
    /**
     * 查询模板页管理
     * 
     * @param pageId 模板页管理主键
     * @return 模板页管理
     */
    public TemplatePage selectTemplatePageByPageId(Long pageId);

    /**
     * 查询模板页管理列表
     * 
     * @param templatePage 模板页管理
     * @return 模板页管理集合
     */
    public List<TemplatePage> selectTemplatePageList(TemplatePage templatePage);

    /**
     * 新增模板页管理
     * 
     * @param templatePage 模板页管理
     * @return 结果
     */
    public int insertTemplatePage(TemplatePage templatePage);

    /**
     * 修改模板页管理
     * 
     * @param templatePage 模板页管理
     * @return 结果
     */
    public int updateTemplatePage(TemplatePage templatePage);

    /**
     * 批量删除模板页管理
     * 
     * @param pageIds 需要删除的模板页管理主键集合
     * @return 结果
     */
    public int deleteTemplatePageByPageIds(Long[] pageIds);

    /**
     * 删除模板页管理信息
     * 
     * @param pageId 模板页管理主键
     * @return 结果
     */
    public int deleteTemplatePageByPageId(Long pageId);
}
